Loading...
Searching...
No Matches
WGPUTextureDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
WGPUTextureUsageFlags | usage
WGPUTextureDimension | dimension
WGPUExtent3D | size
WGPUTextureFormat | format
uint32_t | mipLevelCount
uint32_t | sampleCount
size_t | viewFormatCount
WGPUTextureFormat const * | viewFormats

## Detailed Description

Definition at line 1932 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUTextureDescriptor::nextInChain

Definition at line 1933 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPUTextureDescriptor::label

Definition at line 1934 of file mini_webgpu.h.

## usage

WGPUTextureUsageFlags WGPUTextureDescriptor::usage

Definition at line 1935 of file mini_webgpu.h.

## dimension

WGPUTextureDimension WGPUTextureDescriptor::dimension

Definition at line 1936 of file mini_webgpu.h.

## size

WGPUExtent3D WGPUTextureDescriptor::size

Definition at line 1937 of file mini_webgpu.h.

## format

WGPUTextureFormat WGPUTextureDescriptor::format

Definition at line 1938 of file mini_webgpu.h.

## mipLevelCount

uint32_t WGPUTextureDescriptor::mipLevelCount

Definition at line 1939 of file mini_webgpu.h.

## sampleCount

uint32_t WGPUTextureDescriptor::sampleCount

Definition at line 1940 of file mini_webgpu.h.

## viewFormatCount

size_t WGPUTextureDescriptor::viewFormatCount

Definition at line 1941 of file mini_webgpu.h.

## viewFormats

WGPUTextureFormat const* WGPUTextureDescriptor::viewFormats

Definition at line 1942 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h